package com.yeejoin.amos.fas.dao.entity;

import javax.persistence.Entity;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 * 文字预案
 * @author
 *
 */
@Entity
@Table(name="f_text_plan")
@NamedQuery(name="TextPlan.findAll", query="SELECT f FROM TextPlan f")
public class TextPlan extends BasicEntity {

    /**
     * 预案id
     */
    String appId;

    /**
     * 文本预案名称
     */
    String textName;

    /**
     * 预案路径
     */
    String filePath;

    /**
     * 备注
     */
    String remark;

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getTextName() {
        return textName;
    }

    public void setTextName(String textName) {
        this.textName = textName;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
